% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/kyCG.R
\name{testEnrichmentFGSEA}
\alias{testEnrichmentFGSEA}
\title{testEnrichmentFGSEA uses the FGSEA test to estimate the association of a
categorical variable against a continuous variable.}
\usage{
testEnrichmentFGSEA(
  querySet,
  databaseSet,
  p.value.adj = FALSE,
  estimate.type = "ES"
)
}
\arguments{
\item{querySet}{Vector of probes of interest (e.g., significant probes)}

\item{databaseSet}{Vector of probes corresponding to a single database set
of interest.}

\item{p.value.adj}{Logical value indicating whether to report the adjusted
p-value. (Default: FALSE).}

\item{estimate.type}{String indicating the estimate to report. Optional.
(Default: "ES").}
}
\value{
A DataFrame with the estimate/statistic, p-value, and name of test
for the given results.
}
\description{
testEnrichmentFGSEA uses the FGSEA test to estimate the association of a
categorical variable against a continuous variable.
}
